package nl.nikhef.safaripark;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.Icon;

@SuppressWarnings("serial")
public abstract class ExtendedAbstractAction extends AbstractAction {

	public ExtendedAbstractAction(String name, Icon icon, String shortDescription) {
		super(name, icon);
		putValue(Action.SHORT_DESCRIPTION, shortDescription);
	}

	
}